### Method

# Ide Config set_toolchain

#### Declaration

    void
    ide_config_set_toolchain (
      IdeConfig* self,
      IdeToolchain* toolchain
    )

#### Description

Sets the toolchain for the configuration.

Available since: | 3.32

Sets property | `Ide.Config:toolchain`

#### Parameters

`toolchain` | `IdeToolchain`
| An `IdeToolchain` or `NULL` to use the default one.
| The argument can be `NULL`.
| The data is owned by the caller of the function.